OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_MapIteratorOfPersistentMap Class Reference

`#include <MDocStd_MapIteratorOfPersistentMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDocStd_MapIteratorOfPersistentMap ()
Standard_EXPORT | MDocStd_MapIteratorOfPersistentMap (const MDocStd_PersistentMap &aMap)
Standard_EXPORT void | Initialize (const MDocStd_PersistentMap &aMap)
Standard_EXPORT const Handle_Standard_Persistent & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_MapIteratorOfPersistentMap::MDocStd_MapIteratorOfPersistentMap | ( |  | ) |

Standard_EXPORT MDocStd_MapIteratorOfPersistentMap::MDocStd_MapIteratorOfPersistentMap | ( | const MDocStd_PersistentMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void MDocStd_MapIteratorOfPersistentMap::Initialize | ( | const MDocStd_PersistentMap & | aMap | ) |

Standard_EXPORT const Handle_Standard_Persistent& MDocStd_MapIteratorOfPersistentMap::Key | ( |  | ) | const

void MDocStd_MapIteratorOfPersistentMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDocStd_MapIteratorOfPersistentMap::operator new | ( | size_t | size | ) | `[inline]`

void* MDocStd_MapIteratorOfPersistentMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MDocStd_MapIteratorOfPersistentMap.hxx